package Requests;

import commandSystem.Direction;

public class CancelEmergencyStopRequest implements Request{
	
	public CancelEmergencyStopRequest() {
	}

	@Override
	public Direction getRequestedDirection() {
		return Direction.NONE;
	}

	@Override
	public int getRequestedFloor() {
		return -1;
	}

	@Override
	public int getIncomingCallFloor() {
		return -1;
	}

	@Override
	public RequestType getType() {
		return RequestType.CANCELEMERGENCYSTOP;
	}

	@Override
	public int getCurrentFloor() {
		return -1;
	}

	@Override
	public Direction getCurrentDirection() {
		return Direction.NONE;
	}

}
